<?php
define("THIS_FILE", "index.php");
require_once("../config/config.inc.php");
require_once("DbConnection.inc.php");
require_once("KDbTools.inc.php");
require_once("MainAdminUI.inc.php");
require_once("Plugins.inc.php");
require_once("autoloader.inc.php");
autoloader::init();

$DB = new DbConnection(KDbConfig::getDbHost(), KDbConfig::getDbUser(), KDbConfig::getDbPasswd(), KDbConfig::getDbName());
CWFTools::startSession("k_db_admin");
CWFTools::replaceHTMLChars($_POST);

include_once(KDbConfig::getCwfPath()."plugins/plugins_admin.inc.php");

$menu = new MainAdminUI($DB);
if ($DB->getConnectionError())
  $menu->setErrorMessage($DB->getConnectionError(), 1);

$menu_select = "";
if(preg_match("~^{$_SERVER['SCRIPT_NAME']}(/[A-Za-z0-9_/-]+)(\?.*)?$~", $_SERVER['REQUEST_URI'], $match))
  $menu_select = $match[1];
if(isset($_SESSION['admin']) && $_SESSION['admin']['first_login'])
  $menu_select = "/first_login";
  
switch ($menu_select) {
  case "/event":
    $ui = new EventUI();
    if(isset($_SESSION['event']))
      $ui->setData($_SESSION['event']);
    break;
    
  case "/event_forms":
    $ui = new EventFormUI($DB);
    break;
    
  case "/disclaimers":
    $ui = new DisclaimerUI();
    break;
  case "/disclaimers_view":
    $ui = new DisclaimerViewUI();
    break;
    
  case "/salutations":
    $ui = new SalutationUI();
    break;
    
  case "/countries":
    $ui = new CountryUI();
    break;
    
  case "/kdb_options":
    $ui = new KDbOptionsUI();
    break;

  case "/first_login":
    $ui = new DbAdminFirstLoginUI($DB);
    break;
    
  case "/profile":
    $ui = new DbAdminProfileUI();
    break;
    
  case "/edit_admins":
    $ui = new DbAdminUI();
    break;
    
  case "/edit_groups":
    $ui = new DbAdminGroupUI();
    break;
   
  case "/edit_views":
    $ui = new ViewUI();
    break;
   
  case "/view":
    if(isset($_GET['view_id']) && preg_match('~^[0-9]+$~', $_GET['view_id'])) {
      $_SESSION['view_id'] = $_GET['view_id'];
    }  

    $ui = new ViewDataUI($DB);
    break;
  case "/get_csv":
    $ui = new ViewDataUI($DB);
    $csv = $ui->getCSV($DB);
    if(isset($_SESSION['event']))
      $fileName = CWFTools::sanitizeFileName($_SESSION['event']->event_name);
    else
      $fileName = "kdb_export";
      
    $header = "Content-disposition: attachment; filename=\"{$fileName}.txt\"";
    header($header);
    header("Content-length: " . strlen($csv));
    header('Content-type: text/csv');
    header("Pragma: no-cache");
    header("Expires: 0");
    $csv = mb_convert_encoding($csv, "Windows-1252", "utf-8");
    print($csv);
    exit;
    break;
    
  case "/add_reg":
    $ui = new AddRegistrationUI($DB);
    break;
  case "/deleted_records":
    $ui = new ViewDeletedUI($DB);
    break;
  
  case "/send_email":
    $ui = new SendEmailUI($DB);
    break;
    
  case "/log":
    $ui = new KDbLogUI();
    break;
    
  default:
    if(substr($menu_select, 0, 8)=="/plugin/") {
      require_once(KDbConfig::getCwfPath()."plugins/".substr($menu_select, 8).".inc.php");
      $ui = new $PLUGIN_CLASS($DB);
    }
    else
      $ui = new KDbStatisticsUI();
    break;
}

if($ui->getErrorMessage())
  $menu->setErrorMessage($ui->getErrorMessage(), 0);

if ($menu->writeHeader(THIS_FILE.$menu_select, $ui->getTitle(), $ui->getHeader()))
  echo $ui->getHTML($DB);
$menu->writeFooter();

?>
