<?php
define("THIS_FILE", "registration.php");

require_once("config/config.inc.php");
require_once("DbConnection.inc.php");
require_once("KDbTools.inc.php");
require_once("MainRegUI.inc.php");
require_once("Plugins.inc.php");
require_once("autoloader.inc.php");
autoloader::init();

// Open Database Connection
$DB = new DbConnection(KDbConfig::getDbHost(), KDbConfig::getDbUser(), KDbConfig::getDbPasswd(), KDbConfig::getDbName());
CWFTools::startSession("k_db");
CWFTools::replaceHTMLChars($_POST);

// Load Plugins
include_once(KDbConfig::getCwfPath()."plugins/plugins.inc.php");


// Create page framework
$menu = new MainRegUI($DB);
if ($DB->getConnectionError())
  $menu->setErrorMessage($DB->getConnectionError(), 1);
else if (isset($_SESSION['user']))
  $menu->setErrorMessage(_("You are already logged in."), 1);

// Import page "index"
require_once("registration.inc.php");
if($error=$ui->getErrorMessage())
  $menu->setErrorMessage($error, 0);

// Display page
if ($menu->writeHeader(THIS_FILE,
    ((isset($_SESSION['event']) ? $_SESSION['event']->event_title : KDbConfig::getOrganisationName()) . " - " . _("Registration")),
    $ui->getHeader())) {
  $ui->getHTML($DB);
}
$menu->writeFooter();
?>
